#include "mbed.h"
#include "modbus.h"

DigitalOut myled(LED1);
RawSerial pc(USBTX, USBRX);

void serial_callback()
{
    uint8_t frame[6];
    
    char ch = pc.getc();
    if (modbus_parser(ch, frame)) {
        
    }
}

int main() {
    // setup code
    pc.attach(serial_callback);
    // 1. button code
    // 2. timer code
    while(1) {
        // loop code
        myled = 1; // LED is ON
        wait(0.2); // 200 ms
        myled = 0; // LED is OFF
        wait(1.0); // 1 sec
    }
}
